// Code generated by protoc-gen-go. DO NOT EDIT.
// source: model/record.proto

/*
Package model is a generated protocol buffer package.

It is generated from these files:
	model/record.proto

It has these top-level messages:
	Record
	PhoneBook
*/
package model

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Record struct {
	Number string         `protobuf:"bytes,1,opt,name=number" json:"number,omitempty"`
	Name   string         `protobuf:"bytes,2,opt,name=name" json:"name,omitempty"`
	Adress *Record_Adress `protobuf:"bytes,3,opt,name=adress" json:"adress,omitempty"`
}

func (m *Record) Reset()                    { *m = Record{} }
func (m *Record) String() string            { return proto.CompactTextString(m) }
func (*Record) ProtoMessage()               {}
func (*Record) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Record) GetNumber() string {
	if m != nil {
		return m.Number
	}
	return ""
}

func (m *Record) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Record) GetAdress() *Record_Adress {
	if m != nil {
		return m.Adress
	}
	return nil
}

type Record_Adress struct {
	Sity       string `protobuf:"bytes,1,opt,name=sity" json:"sity,omitempty"`
	Street     string `protobuf:"bytes,2,opt,name=street" json:"street,omitempty"`
	Building   string `protobuf:"bytes,3,opt,name=building" json:"building,omitempty"`
	Appartment string `protobuf:"bytes,4,opt,name=appartment" json:"appartment,omitempty"`
}

func (m *Record_Adress) Reset()                    { *m = Record_Adress{} }
func (m *Record_Adress) String() string            { return proto.CompactTextString(m) }
func (*Record_Adress) ProtoMessage()               {}
func (*Record_Adress) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0, 0} }

func (m *Record_Adress) GetSity() string {
	if m != nil {
		return m.Sity
	}
	return ""
}

func (m *Record_Adress) GetStreet() string {
	if m != nil {
		return m.Street
	}
	return ""
}

func (m *Record_Adress) GetBuilding() string {
	if m != nil {
		return m.Building
	}
	return ""
}

func (m *Record_Adress) GetAppartment() string {
	if m != nil {
		return m.Appartment
	}
	return ""
}

type PhoneBook struct {
	Record []*Record `protobuf:"bytes,1,rep,name=record" json:"record,omitempty"`
}

func (m *PhoneBook) Reset()                    { *m = PhoneBook{} }
func (m *PhoneBook) String() string            { return proto.CompactTextString(m) }
func (*PhoneBook) ProtoMessage()               {}
func (*PhoneBook) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *PhoneBook) GetRecord() []*Record {
	if m != nil {
		return m.Record
	}
	return nil
}

func init() {
	proto.RegisterType((*Record)(nil), "model.Record")
	proto.RegisterType((*Record_Adress)(nil), "model.Record.Adress")
	proto.RegisterType((*PhoneBook)(nil), "model.PhoneBook")
}

func init() { proto.RegisterFile("model/record.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 216 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x54, 0x90, 0x4d, 0x4a, 0x04, 0x31,
	0x14, 0x84, 0x89, 0x33, 0x06, 0xfb, 0x0d, 0x6e, 0x1e, 0x22, 0x61, 0x16, 0xd2, 0x0c, 0x08, 0xbd,
	0x90, 0x08, 0xed, 0x09, 0xf4, 0x04, 0x92, 0x1b, 0xa4, 0xcd, 0x43, 0x1b, 0x27, 0x3f, 0x24, 0xe9,
	0x85, 0xf7, 0xf4, 0x40, 0xd2, 0xaf, 0x83, 0xe8, 0xae, 0xea, 0xab, 0x50, 0x95, 0x04, 0xd0, 0x47,
	0x47, 0xe7, 0xc7, 0x4c, 0x6f, 0x31, 0x3b, 0x9d, 0x72, 0xac, 0x11, 0x2f, 0x99, 0x9d, 0xbe, 0x05,
	0x48, 0xc3, 0x1c, 0x6f, 0x41, 0x86, 0xc5, 0x4f, 0x94, 0x95, 0xe8, 0xc5, 0xd0, 0x99, 0xe6, 0x10,
	0x61, 0x1f, 0xac, 0x27, 0x75, 0xc1, 0x94, 0x35, 0x3e, 0x80, 0xb4, 0x2e, 0x53, 0x29, 0x6a, 0xd7,
	0x8b, 0xe1, 0x30, 0xde, 0x68, 0xae, 0xd3, 0x5b, 0x95, 0x7e, 0xe6, 0xcc, 0xb4, 0x33, 0xc7, 0x04,
	0x72, 0x23, 0x6b, 0x57, 0x99, 0xeb, 0x57, 0x5b, 0x60, 0xbd, 0xee, 0x96, 0x9a, 0x89, 0x6a, 0x5b,
	0x68, 0x0e, 0x8f, 0x70, 0x35, 0x2d, 0xf3, 0xd9, 0xcd, 0xe1, 0x9d, 0x57, 0x3a, 0xf3, 0xeb, 0xf1,
	0x0e, 0xc0, 0xa6, 0x64, 0x73, 0xf5, 0x14, 0xaa, 0xda, 0x73, 0xfa, 0x87, 0x9c, 0x46, 0xe8, 0x5e,
	0x3f, 0x62, 0xa0, 0x97, 0x18, 0x3f, 0xf1, 0x1e, 0xe4, 0xf6, 0x74, 0x25, 0xfa, 0xdd, 0x70, 0x18,
	0xaf, 0xff, 0x5d, 0xd6, 0xb4, 0x70, 0x92, 0xfc, 0x31, 0x4f, 0x3f, 0x01, 0x00, 0x00, 0xff, 0xff,
	0x18, 0xa7, 0x28, 0xbe, 0x2e, 0x01, 0x00, 0x00,
}
